Prolifto
API reference

Media

Product images and videos

Create

POST
/media/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/media/create" \  -H "Content-Type: application/json" \  -d '{    "productId": "string",    "urls": [      "string"    ]  }'
{}

Delete

POST
/media/delete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/media/delete" \  -H "Content-Type: application/json" \  -d '{    "mediaKey": "string",    "productId": "string"  }'
{}

Delete Many

POST
/media/deleteMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/media/deleteMany" \  -H "Content-Type: application/json" \  -d '{    "mediaKeys": [      "string"    ],    "productId": "string"  }'
{}

Reorder

POST
/media/reorder

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/media/reorder" \  -H "Content-Type: application/json" \  -d '{    "orderedUrls": [      "string"    ],    "productId": "string"  }'
{}

Update

POST
/media/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/media/update" \  -H "Content-Type: application/json" \  -d '{    "alt": "string",    "mediaId": "string",    "productId": "string"  }'
{}